Part Sphere/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "== Descriere == Creează o simplă sferă parametrică, cu parametrii de poziție, unghi1, unghi2, unghi 3 și rază.")
(Updating to match new version of source page)
 
(20 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{GuiCommand/ro|Name=Part Sphere|Name/ro=Part Sphere|MenuLocation=Part -> Sphere||Workbenches=[[Part_Module/ro|Part Module]],Complete|SeeAlso=[[Part_CreatePrimitives/ro|Part CreatePrimitives]]}}


{{Docnav
|[[Part_Cylinder|Cylinder]]
|[[Part_Cone|Cone]]
|[[Part_Workbench|Part]]
|IconL=Part_Cylinder.svg
|IconR=Part_Cone.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Part Sphere
|Name/ro=Part Sphere
|MenuLocation=Part -> Sphere
|
|Workbenches=[[Part_Workbench/ro|Part]], Complete
|SeeAlso=[[Part_CreatePrimitives/ro|Part CreatePrimitives]]
}}
</div>

== Description ==

<div class="mw-translate-fuzzy">
== Descriere ==
== Descriere ==
Creează o simplă sferă parametrică, cu parametrii de poziție, unghi1, unghi2, unghi 3 și rază.
Creează o simplă sferă parametrică, cu parametrii de poziție, unghi1, unghi2, unghi 3 și rază.
</div>

A Part Sphere can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of a sphere by changing its {{PropertyData|Angle3}} property.

[[Image:Part_Sphere_Example.png|400px]]

==Usage==

<div class="mw-translate-fuzzy">
== Cum se folosește ==
În Atelierul [[Part_Workbench|Part]] click pe iconița sferă [[Image:Part Sphere.png|32px]]. Sfera va fi poziționată la origine (punctul 0,0,0) la crearea. Parametrii unghiului permit realizarea unei porțiuni de sferă în locul unei sfere complete (acestea sunt setate în mod implicit la 360 °).
</div>

== Example ==

[[Image:Part_Sphere_Scripting_Example.png|thumb|Part Sphere from the scripting example]]

A Part Sphere object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Sphere can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<div class="mw-translate-fuzzy">
== Opțiuni ==
</div>

See also: [[Property_editor|Property editor]].

A Part Sphere object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Sphere}}

* {{PropertyData|Radius|Length}}: The radius of the sphere. The default is {{Value|5mm}}.
* {{PropertyData|Angle1|Angle}}: The start angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
* {{PropertyData|Angle2|Angle}}: The end angle of the circular arc profile of the sphere. Valid range: {{Value|-90° &lt;&#61; value &lt;&#61; 90°}}. May not be equal to {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the arc profile is smaller than {{Value|180°}} the sphere will be truncated and have a flat face at the top and/or bottom.
* {{PropertyData|Angle3|Angle}}: The total angle of revolution of the sphere. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a sphere.

== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
[[File:SimpleSphere.jpg|400px]]


A Part Sphere can be created with the {{Incode|addObject()}} method of the document:
== How to use ==
In the workbench [[Part_Workbench|Part]] click on the sphere icon [[Image:Part Sphere.png|32px]]. The sphere will be positioned at origin (point 0,0,0) on creation. The angle parameters permit to make a portion of sphere instead of a full sphere (they are set to 360° by default).


{{Code|code=
== Options ==
sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
}}


* Where {{Incode|"mySphere"}} is the name for the object.
The parametric sphere is defined by the following parameters:
* The function returns the newly created object.


Example:
* Radius
* Angle 1
* Angle 2
* Angle 3
* as well as the standard set of placement parameters


{{Code|code=
The picture below gives an overview of a parametric sphere with parameters different from the default value.
import FreeCAD as App


doc = App.activeDocument()
[[File:PartDesign_Sphere_Parameter_en.jpg|600px]]


sphere = doc.addObject("Part::Sphere", "mySphere")
====Parameter====
sphere.Radius = 20
* {{Parameter|Radius:}} Radius of the sphere
sphere.Angle1 = -30
* {{Parameter|Angle 1:}} 1nd angle to cut / define the sphere
sphere.Angle2 = 45
* {{Parameter|Angle 2:}} 2nd angle to cut / define the sphere
sphere.Angle3 = 90
* {{Parameter|Angle 3:}} 3rd angle to cut / define the sphere
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))


doc.recompute()
Because it is quite difficult to explain the meaning of the parameters angle 1, angle 2, angle 3, the picture below gives an explanation about these parameters with following values: angle 1 = -45°, angle 2 = 45° and angle 3= 90°.
}}


[[File:SphereCutThreeAngles.jpg|400px]]


{{Docnav
|[[Part_Cylinder|Cylinder]]
|[[Part_Cone|Cone]]
|[[Part_Workbench|Part]]
|IconL=Part_Cylinder.svg
|IconR=Part_Cone.svg
|IconC=Workbench_Part.svg
}}


{{Part Tools navi{{#translation:}}}}
{{clear}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:52, 3 March 2022

Part Sphere

poziția meniului
Part -> Sphere
Ateliere
Part, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part CreatePrimitives

Description

Descriere

Creează o simplă sferă parametrică, cu parametrii de poziție, unghi1, unghi2, unghi 3 și rază.

A Part Sphere can be truncated at the top and/or bottom by changing its DateAngle1 and/or DateAngle2 properties. It can be turned into a segment of a sphere by changing its DateAngle3 property.

Usage

Cum se folosește

În Atelierul Part click pe iconița sferă . Sfera va fi poziționată la origine (punctul 0,0,0) la crearea. Parametrii unghiului permit realizarea unei porțiuni de sferă în locul unei sfere complete (acestea sunt setate în mod implicit la 360 °).

Example

Part Sphere from the scripting example

A Part Sphere object created with the scripting example below is shown here.

Notes

  • A Part Sphere can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Opțiuni

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Sphere

  • DateRadius (Length): The radius of the sphere. The default is 5mm.
  • DateAngle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DateAngle2. The default is -90°.
  • DateAngle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DateAngle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
  • DateAngle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Sphere can be created with the addObject() method of the document:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()